CentOS 7下Redis5安装部署与开机自启动_Linux_青云站长教程网
欢迎来到站长教程网!
  • 秒到短信接口 免费试用
  • 微信支付宝接口 秒结算
  • 中文网站排名|申请加入
  • 搜索引擎全站查询
  • 查询移动网站权重数据
  • 海外主机 台湾公司直销
  • Linux

    当前位置:主页 > 服务器教程 > Linux >

    CentOS 7下Redis5安装部署与开机自启动

    时间:2019-07-11|栏目:Linux|点击:
  • CentOS 7下Redis5安装部署与开机自启动

    文章由LinuxBoy分享于2019-07-05 06:07:23

    CentOS 7下Redis5安装部署与开机自启动

    1.什么是redis

    redis是用C语言开发的一个开源的高性能键值对(key-value)数据库。它通过提供多种键值数据类型来适应不同场景下的存储需求,目前为止redis支持的键值数据类型如下字符串、列表(lists)、集合(sets)、有序集合(sorts sets)、哈希表(hashs)

    2.redis的应用场景 

    缓存(数据查询、短连接、新闻内容、商品内容等等)。(最多使用)
    分布式集群架构中的session分离。
    聊天室的在线好友列表。
    任务队列。(秒杀、抢购、12306等等) 
    应用排行榜。 
    网站访问统计。 
    数据过期处理(可以精确到毫秒)

    3.redis的安装 

    下面介绍在CentOS环境下,Redis的安装与部署,redis从3.0版本以后增加了集群功能。  

    步骤如下:

      由于Redis是用C语言编写,所以编译时需要gcc,

    yum install gcc-c++

      通过官网下载 地址:

      或 使用linux wget命令:wget

    把源码包上传到linux服务器,在上传的目录下进行解压

    tar -zxvf redis-5.0.0.tar.gz

    进入解压后的目录进行编译make,指定目录安装make install 如 /usr/local/redis


    cd /redis-5.0.0/

    make (这里进redis-5.0.0/目录下直接make编译就好了)

    make install PREFIX=/usr/local/redis  (指定编译路径)
    进入安装目录bin下

    cd /usr/local/redis/bin

    此时的目录结构是这样的

    CentOS 7下Redis5安装部署与开机自启动

    •redis-benchmark redis性能测试工具
    •redis-check-aof AOF文件修复工具
    •redis-check-rdb RDB文件修复工具
    •redis-cli redis命令行客户端
    •redis.conf redis配置文件
    •redis-sentinal redis集群管理工具
    •redis-server redis服务进程

    4.启动Redis

    1.前端模式启动

    /usr/local/redis/bin/redis-server
    或 cd /usr/local/redis/bin 运行 ./redis-server

    前端模式启动的缺点是ssh命令窗口关闭则redis-server程序结束,故不推荐使用此方法。

    CentOS 7下Redis5安装部署与开机自启动

    2.后端模式启动

    1)从redis的源码目录中复制redis.conf到redis的安装目录bin下。

    cp redis.conf /usr/local/redis/bin

    CentOS 7下Redis5安装部署与开机自启动

    2)修改配置文件 (是否后台启动)

    vim /usr/local/redis/bin/redis.conf

    找到 daemonize  按i 进入编辑模式 把no 改为 yes

    按ESC + :wq 保存退出

    执行如下命令启动redis:

    cd /usr/local/redis/bin

    ./redis-server ./redis.conf

    3.查看是否启动成功

    ps aux|grep redis

    redis默认端口为 6379,可更改redis.conf文件,修改端口号

    CentOS 7下Redis5安装部署与开机自启动

    5. 关闭redis

    强行终止redis进程可能会导致redis持久化数据丢失。

    正确停止Redis的方式应该是向Redis发送SHUTDOWN命令,

    命令为:

    cd /usr/local/redis
    ./bin/redis-cli shutdown

    强行终止redis

    pkill redis-server


    6.让redis开机自启

    方法一:
    1) vim /etc/init.d/redis  编写脚本 (输入下面的代码)

    # chkconfig: 2345 10 90
    # description: Start and Stop redis

    PATH=/usr/local/bin:/sbin:/usr/bin:/bin

    REDISPORT=6379 #实际环境而定
    EXEC=/usr/local/redis/bin/redis-server #实际环境而定
    REDIS_CLI=/usr/local/redis/bin/redis-cli #实际环境而定

    PIDFILE=/var/run/redis.pid
    CONF="/usr/local/redis/bin/redis.conf" #实际环境而定

    case "$1" in
            start)
                    if [ -f $PIDFILE ]
                    then
                            echo "$PIDFILE exists, process is already running or crashed."
                    else
                            echo "Starting Redis server..."
                            $EXEC $CONF
                    fi
                    if [ "$?"="0" ]
                    then
                            echo "Redis is running..."
                    fi
                    ;;
            stop)
                    if [ ! -f $PIDFILE ]
                    then
                            echo "$PIDFILE exists, process is not running."
                    else
                            PID=$(cat $PIDFILE)
                            echo "Stopping..."
                            $REDIS_CLI -p $REDISPORT SHUTDOWN
                            while [ -x $PIDFILE ]
                            do
                                    echo "Waiting for Redis to shutdown..."
                                    sleep 1
                            done
                            echo "Redis stopped"
                    fi
                    ;;
            restart|force-reload)
                    ${0} stop
                    ${0} start
                    ;;
            *)
                    echo "Usage: /etc/init.d/redis {start|stop|restart|force-reload}" >&2
                    exit 1
    esac

    2)  配置开机启动

    上一篇:coreseek数据库配置详细解答

    栏    目:Linux

    下一篇:CentOS 7下Redis5集群的搭建和使用

    本文标题:CentOS 7下Redis5安装部署与开机自启动

    本文地址:http://www.jh-floor.com/fuwuqijiaocheng/Linux/3161.html

    您可能感兴趣的文章

    广告投放 | 联系我们 | 版权申明

    重要申明:本站所有的文章、图片、评论等,均由网友发表或上传并维护或收集自网络,属个人行为,与本站立场无关。

    如果侵犯了您的权利,请与我们联系,我们将在24小时内进行处理、任何非本站因素导致的法律后果,本站均不负任何责任。

    联系QQ:888888 | 邮箱:888888#qq.com(#换成@)

    Copyright © 2002-2017 青云站长教程网 版权所有 琼ICP备xxxxxxxx号